ENTRY(kernel_main) /* hlavni vstupni bod jadra */
OUTPUT_FORMAT("binary") 
STARTUP(kmain.o)   /* objektovy soubor s hlavnim vstupnim bodem */

/* rozdeleni jednotlivych casti jadra */
SECTIONS
{
	/* kod jadra bude umisten od adresy 0x0001:0000 */
	. = 0x00010000;
 
	/* kod */
	.text BLOCK(4K) : ALIGN(4K)
	{
		*(.text)
	}
 
	/* data pouze pro cteni (napr. retezce). */
	.rodata BLOCK(4K) : ALIGN(4K)
	{
		*(.rodata)
	}
 
	/* r/w data (inicializovana) */
	.data BLOCK(4K) : ALIGN(4K)
	{
		*(.data)
	}
 
	/* neinicializovana data a zasobnik */
	.bss BLOCK(4K) : ALIGN(4K)
	{
		*(COMMON)
		*(.bss)
	}
}
